#
# Enterprise Event Log Spec
#
Summary:   Enterprise Event Logging
Name:      evlog
Version:   1.6.1 
Release:   1.10%{?dist}
License:   LGPL
Url:       http://evlog.sourceforge.net

Group:     System Environment/Base
Source:    evlog-1.6.1.tar.gz
Patch1: evlog-compile-misc.patch
Patch2: evlog-compile-misc2.patch
Patch3: evlog-subagent-1.5.2-part1.patch
Patch4: evlog-subagent-1.5.2-part2.patch
Patch5: evlog-lookback-refine.patch
Patch6: evlog-compile-misc3.patch
Patch7: evlog-slog-fwd.patch
Patch8: evlog-initscript.patch
Patch9: evlog-runtests-bugfix.patch
Patch10: evlog-runtests-x86_64.patch
Patch11: evlog-runtests-goto-correct-directory.patch
Patch12: evlog-1.6.1-modify-condrestart-function.patch

BuildRoot: /var/tmp/%{name}-buildroot
BuildPreReq: autoconf, automake, byacc, zlib-devel

%description
Enterprise Event Logging

%prep
%setup  
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
aclocal
touch NEWS
touch AUTHORS
touch ChangeLog
automake
# Patch3 changed configure.ac, we need update config.h.in also
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" $LOCALFLAGS
./configure --enable-snmp-subagent
make -C user

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Copy ela* stuff to /usr/bin for now, we will use move later.
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp $RPM_BUILD_ROOT/sbin/ela_* $RPM_BUILD_ROOT/usr/sbin

# man file should be placed in /usr/share/man
mkdir -p $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share

# need gzip there man file first, else, file.list.evlog-user will has wrong name
cd $RPM_BUILD_ROOT/usr/share/man/man1
gzip *

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' |grep -v '/etc/init.d' > $RPM_BUILD_DIR/file.list.evlog-user
# remove slog_fwd, it don't work on x86_64
find . -type f | grep -v slog_fwd | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.evlog-user
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.evlog-user

%post
chkconfig --add evlog
chkconfig --add evlaction
chkconfig --add evlnotify
chkconfig --add evlogrmt
chkconfig --add evsubagentd
chkconfig evlog off
chkconfig evlaction off
chkconfig evlnotify off
chkconfig evlogrmt off
chkconfig evsubagentd off


%preun
if [ "$1" = 0 ] ; then
        /sbin/service evlog stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del evlog
        /sbin/service evlaction stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del evlaction
        /sbin/service evlnotify stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del evlnotify
        /sbin/service evlogrmt stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del evlogrmt
        /sbin/service evsubagentd stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del evsubagentd
fi

%postun
if [ "$1" -ge 1 ]; then
        /sbin/service evlog condrestart > /dev/null 2>&1 || :
        /sbin/service evlaction condrestart > /dev/null 2>&1 || :
        /sbin/service evlnotify condrestart > /dev/null 2>&1 || :
        /sbin/service evlogrmt condrestart > /dev/null 2>&1 || :
        /sbin/service evsubagentd condrestart > /dev/null 2>&1 || :
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/evlog

%files -f ../file.list.evlog-user

%changelog
* Fri Oct 30 2009 Hua Jie <jie.hua@asianux.com> 1.6.1-1.10%{?dist}
- modify condrestart function in evlog service files,
-  and run condrestart when updating the package (patch12, AXBug #7185)

* Thu Dec 04 2008 Hua Jie <jiehua@redflag-linux.com> 1.6.1-1.9%{?dist}
- go to correct directory to run runtests.sh (patch11)

* Wed Feb 07 2007 Xiao Liu <xiaoliu@redflag-linux.com>  1.6.1-1.8AX
- fix bug #1027 at runtest.sh, see detail in README.runtest-1.6.1-1.8AX
- modify runtest scripts, if do test in x86_64 platform, will not do evl_log_write test. Patch10	 

* Fri Nov 17 2006 Wei Kong <weikong@redflag-linux.com>  1.6.1-1.7AX
- fix bug at runtest.sh, see detail in README.runtest-1.6.1-1.7AX

* Mon May 15 2006 Cheng Ding <chengding@redflag-linux.com>  1.6.1-1.6AX
- remove slog_fwd, it don't work on x86_64

* Thu Apr 4 2006 Cheng Ding <chengding@redflag-linux.com>  1.6.1-1.5AX
- fix slog_fwd preload script, Patch7. (bug1257)
- modify init scripts to meet asianux standard, Patch8

* Thu Aug 22 2005 Cheng Ding <chengding@redflag-linux.com>  1.6.1-1.4AX
- configure --enable-snmp-subagent

* Thu Jul 20 2005 Cheng Ding <chengding@redflag-linux.com>  1.6.1-1.3AX
- add snmp subagent support. it is defined as "Remote Access to Event Log (4.6)" in CGL_Req_v2-0 Spec
  Patch No 3,4,5

* Thu Apr 13 2005 Cheng Ding <chengding@redflag-linux.com>  1.6.1-1.2AX
- misc compile fix
- in linux kernel header file, redefined __FUNCTION__ to __func__
  which make _EVLOG_POS fail to initial.
  evlog-compile-misc2 fix it.
- man file be placed in /usr/share/man
- gzip man file first, make rpm success.

* Tue Apr 27 2004 Hien Nguyen <nguyhien@us.ibm.com>
- Release version of v1.6.0. Added ELA feature.
* Thu Dec 18 2003 Hien Nguyen <nguyhien@us.ibm.com>
- Added ELA feature - and bugs fixed
* Mon Jun 16 2003 Hien Nguyen <nguyhien@us.ibm.com>
- Add multi-arch support
* Thu Mar 7 2002 Jim Keniston <kenistoj@us.ibm.com>
- Added kernel module tests kfacreg and kfacreg2 (test3, test4)
* Fri Oct 12 2001 Hien Nguyen <nguyhien@us.ibm.com>
- Bug fixes, add template, evltc, evlfacility, libevlsyslog
  and many small enhancements.
* Fri Sep 28 2001 Hien Nguyen <nguyhien@us.ibm.com>
- Bug fixes, adding s390 and s390x specific tests 
* Tue Aug 26 2001 Hien Nguyen <nguyhien@us.ibm.com>
- First RPM build
